apiVersion: apps/v1
kind: Deployment
metadata:
  name: echo-app
  labels:
    k8s-app: echo-app
  namespace: default
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s-app: echo-app
  template:
    metadata:
      labels:
        k8s-app: echo-app
    spec:
      containers:
      - name: echo-app
        image: maestro.docker.zooxlabs.com/echo-service:1.0.0
        ports:
        - containerPort: 50051
          name: grpc

---
apiVersion: v1
kind: Service
metadata:
  name: echo-service
  namespace: default
spec:
  selector:
    k8s-app: echo-app
  ports:
  - port: 50051
    targetPort: 50051
    name: grpc